Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseConfig Class
Members See Also Send Feedback

A class representing configuration parameters for Database

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.21.0

# Syntax

C#
    public class DatabaseConfig

Visual Basic (Declaration)
    Public Class DatabaseConfig

Visual C++
    public ref class DatabaseConfig

# Inheritance Hierarchy

System..::.Object
BerkeleyDB..::.DatabaseConfig
BerkeleyDB..::.BTreeDatabaseConfig
BerkeleyDB..::.HashDatabaseConfig
BerkeleyDB..::.HeapDatabaseConfig
BerkeleyDB..::.QueueDatabaseConfig
BerkeleyDB..::.RecnoDatabaseConfig
BerkeleyDB..::.SecondaryDatabaseConfig

# See Also

DatabaseConfig Members
BerkeleyDB Namespace